<?php
/**
 * UserMessageDat Entity
 * $Id: UserMessageDat.inc,v 1.1 2020/2/27 14:40:01 Exp $
 * @author zb
 * @package jp.compass.entity
 * @access public
 */
class UserMessageDat extends CompassDynamicData
{
	var $user_id;
	var $title;
	var $comment;
	var $attach_dat_type;
	var $attach_dat_id;
	var $attach_dat_path;
	var $is_read;
	var $is_operated;
	var $delete_flg;
	
	/**
	 * 构造实现。user_message_dat创建实例。
	 * 
	 * @access public
	 * @param mixed user_message_dat
	 */
	function constructor($record)
	{
		parent::constructor($record);

		$this->user_id         = $record["user_id"];
		$this->title           = $record["title"];
		$this->comment         = $record["comment"];
		$this->attach_dat_type = $record["attach_dat_type"];
		$this->attach_dat_id   = $record["attach_dat_id"];
		$this->attach_dat_path = $record["attach_dat_path"];
		$this->is_read         = $record["is_read"];
		$this->is_operated         = $record["is_operated"];
		$this->delete_flg      = $record["delete_flg"];
	}

	/**
	 * 根据条件,获取数据列表。
	 * 条件与DBManager的doSelect相同。
	 * @access public
	 * @static
	 * @param array 检索条件
	 * @return array Entity的队列
	 */
	public static function getList($w_param = null, $orderkey = null, $direction = "ASC", $offset = null, $limit = null)
	{
		if ($w_param == null) {
			$w_param = array();
			$w_param["delete_flg"] = "false";
		}

		return CompassDBHandler::getList("UserMessageDat", "user_message_dat", $w_param, $orderkey, $direction, $offset, $limit);
	}

	/**
	 * 根据条件，获取数据列表的件数。
	 * 条件与DBManager的doSelect相同。
	 * @access public
	 * @static
	 * @param array 检索条件
	 * @return array Entity的队列
	 */
	public static function getListCount($w_param = null)
	{
		if ($w_param == null) {
			$w_param = array();
			$w_param["delete_flg"] = "false";
		}
		$db = CompassDBManager::getInstance();
		$result = $db->doSelect("user_message_dat", $w_param, null, null, null, null, "count(*) as count");

		return $result[0]["count"];
	}

	/**
	 * 获得此类指定ID的实例。
	 */
	public static function getById($id)
	{
		// delete_flg
		$param = array();
		$param["delete_flg"] = false;

		return CompassDBHandler::getById("UserMessageDat", "user_message_dat", $id, $param);
	}

	// -- 这里开始Dynamic ---
	/**
	 * 将此实例写入DB。
	 * DynamicData共用的保存方法。
	 * @access public
	 * @return int 写入实例的ID
	 */
	public function save()
	{
		$v_param = array();

		ParamUtil::copyObj2Array($v_param, $this, "user_id");
		ParamUtil::copyObj2Array($v_param, $this, "title");
		ParamUtil::copyObj2ArrayNullField($v_param, $this, "comment");
		ParamUtil::copyObj2ArrayNullField($v_param, $this, "attach_dat_type");
		ParamUtil::copyObj2Array($v_param, $this, "attach_dat_id");
		ParamUtil::copyObj2ArrayNullField($v_param, $this, "attach_dat_path");
		ParamUtil::copyObj2Array($v_param, $this, "is_read");
		ParamUtil::copyObj2Array($v_param, $this, "is_operated");
		ParamUtil::copyObj2Array($v_param, $this, "delete_flg");

		// 保存
		parent::_save("user_message_dat", $v_param);
	}
}